> For the complete documentation index, see [llms.txt](https://docs.parcellab.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parcellab.com/docs/developers/v2/data-elements/get-status-updates.md).

# Get Status Updates

Provide the latest status of their orders to your customers via our powerful integration options.

## Overview

Retrieving a tracking from parcelLab refers to the act of requesting the information about a certain delivery. The progress and tracking updates returned are known as checkpoints.

When you have this data, you can keep your customers updated on the progress of their orders via a variety of sources.

## Status Update Integration Methods

You can use the following methods to retrieve checkpoint and tracking data from parcelLab to feed back into your e-commerce system:

* API - the most flexible method of data integration is API, whereby all the necessary order and tracking information can be submitted and the relevant status details received instantly

{% content-ref url="/pages/pSkIZFSZthqcKE410W0o" %}
[Checkpoints](/docs/developers/v2/status-updates/checkpoints.md)
{% endcontent-ref %}

* Webhooks - set up webhooks with parcelLab and receive relevant tracking events to feed back into your shop systems

{% content-ref url="/pages/GBBllcv2aH16J29bRrsp" %}
[Webhooks](/docs/developers/v2/data-elements/get-status-updates/webhooks.md)
{% endcontent-ref %}

You can also use our API to retrieve the current status of an order or parcel for use with the following:

* Any customer facing widget, such as chatbots

{% content-ref url="/pages/-MDJ5ISyzJTrXt801JUH" %}
[Chatbots](/docs/developers/v2/status-updates/chatbots.md)
{% endcontent-ref %}

* Any native or web app

{% content-ref url="/pages/-MVCnLpGtUqakWXGwduS" %}
[Apps](/docs/developers/v2/status-updates/apps.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parcellab.com/docs/developers/v2/data-elements/get-status-updates.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
